services:
  configdb-api:
    container_name: configdb-api-example
    image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/itk-demo-configdb/api:2.6.0
    restart: unless-stopped
    command:
      [
        "s6-setuidgid",
        "itk",
        "uvicorn",
        "asgi:app",
        "--host",
        "0.0.0.0",
        "--port",
        "5000",
        "--workers",
        "4",
        "--timeout-keep-alive",
        "600",
        "--log-config",
        "/config/uvicorn_log_config.yaml"
      ]
    depends_on:
      postgres:
          condition: service_healthy
    volumes:
      - sqlite:/config/database
    ports:
      - 5999:5000
    extra_hosts:
      - host.docker.internal:host-gateway
      - ${HOST}:host-gateway
    environment:
      - DATABASE_KEY=demi/${STACK}/postgres/url
      - SR_URL=${SR_URL:-http://${HOST}:5111/api}
      - DATABASE_USER=configdb
      - DATABASE_PW=test
      - CONFIGDB_API_WORKERS=4
      - CONFIGDB_DATABASE_TYPE=postgres
      #- CONFIGDB_DATABASE_URI=configdb:test@postgres:5432/configdb
      # - DEBUG_MODE=1
      - DEMI_ADD_ITK_USER=1
      - S6_VERBOSITY=1
      - S6_KEEP_ENV=1
      - S6_CMD_WAIT_FOR_SERVICES_MAXTIME=0
    labels:
      - demi.${STACK}.itk-demo-configdb.api.host=${HOST}
      - demi.${STACK}.itk-demo-configdb.api.url_postfix=/docs
      - demi.${STACK}.itk-demo-configdb.api.url_prefix=/api
      - demi.${STACK}.itk-demo-configdb.api.health=/health
      - demi.${STACK}.itk-demo-configdb.api.description=configuration, runkey and result database
      - demi.${STACK}.itk-demo-configdb.api.protocol=http
      - demi.${STACK}.itk-demo-configdb.api.category=Microservice
      - demi.${STACK}.itk-demo-configdb.api.api_name=configdb
    healthcheck:
      test: curl -sS --fail http://localhost:5000/api/health || exit 1
      interval: 60s
      retries: 5
      start_period: 20s
      timeout: 10s

  runkey-ui:
    container_name: runkey-ui-example
    image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/itk-demo-runkey/ui:3.2.4
    restart: unless-stopped
    ports:
      - :80
    extra_hosts:
      - host.docker.internal:host-gateway
      - ${HOST}:host-gateway
    environment:
      #- DEFAULT_BACKEND_URL=${DEFAULT_BACKEND_URL}
      - SR_URL=${SR_URL:-http://${HOST}:5111/api}
      - CONFIGDB_URL_KEY=demi/${STACK}/itk-demo-configdb/api/url
      - API_URL_KEY=demi/${STACK}/itk-demo-runkey/api/url
    labels:
      - demi.${STACK}.itk-demo-configdb.runkey-ui.host=${HOST}
      - demi.${STACK}.itk-demo-configdb.runkey-ui.category=Microservice-UI
      - demi.${STACK}.itk-demo-configdb.runkey-ui.description=UI of the ConfigDB
      - demi.${STACK}.itk-demo-configdb.runkey-ui.protocol=http
  #      - demi.${STACK}.itk-demo-configdb.runkey-ui.health=

volumes:
  sqlite:

networks:
  default:
    name: deminet
    external: true
